# Copyright (C) GemTalk Systems 1986-2013.  All Rights Reserved.
#
# GDB commands for GemStone's pstack for Linux and Darwin

# Get a full stack with no user interaction
set confirm off
set pagination off
set backtrace limit 0

# get stacks with one line per frame
thread apply all backtrace

# get the stacks of all threads, dumping local variables
#   if available.
thread apply all backtrace full

# Done, let the process continue
detach
